Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 812770

Summary: app-emulation/vagrant-2.2.18: Version bump
Product: Gentoo Linux Reporter: Skyler Mäntysaari <sm+gbugs>
Component: Current packagesAssignee: Guillaume Seren <guillaumeseren>
Status: RESOLVED FIXED    
Severity: normal CC: jstein, proxy-maint, sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=815228
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 815228    

Description Skyler Mäntysaari 2021-09-12 10:16:32 UTC
Please update the ebuild to the latest available version.
Comment 1 Matt Smith 2021-09-12 10:23:59 UTC
Vagrant is currently unmaintained. You could become a proxy maintainer and maintain it youeself :) - https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
Comment 2 Skyler Mäntysaari 2021-09-12 11:20:05 UTC
(In reply to Matt Smith from comment #1)
> Vagrant is currently unmaintained. You could become a proxy maintainer and
> maintain it youeself :) -
> https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

The last time I asked about that with the Proxy Maintainers project, they were swamped so wasn't able to do anything about it.
Comment 3 Sam James archtester gentoo-dev Security 2021-09-28 01:15:36 UTC
We have 2.2.14 now at least: https://github.com/gentoo/gentoo/commit/d846a14da7548f88932b2ee37f9bc54886c2adce
Comment 4 Bas Weelinck 2021-09-28 10:17:20 UTC
Just upgraded and 2.2.14 doesn't work for me.

It errors with net-ssh-6.2.0 missing (only 6.1.0 is available in Portage at the moment)

$ vagrant
/usr/lib64/ruby/site_ruby/2.6.0/rubygems/dependency.rb:313:in `to_specs': Could not find 'net-ssh' (>= 6.2.0.rc1, < 7) - did find: [net-ssh-6.1.0] (Gem::MissingSpecVersionError)
Comment 5 Larry the Git Cow gentoo-dev 2021-09-28 19:47:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4f9c379cd74b0f883db5479a49eb4218ecdd4c5

commit e4f9c379cd74b0f883db5479a49eb4218ecdd4c5
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-09-28 19:44:30 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-28 19:46:51 +0000

    app-emulation/vagrant: drop 2.2.14
    
    Closes: https://bugs.gentoo.org/812770
    Closes: https://bugs.gentoo.org/815228
    Signed-off-by: Sam James <sam@gentoo.org>

 app-emulation/vagrant/Manifest              |  1 -
 app-emulation/vagrant/vagrant-2.2.14.ebuild | 93 -----------------------------
 2 files changed, 94 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=892f6c39ef11c8de7e7d6387956b8789487a1414

commit 892f6c39ef11c8de7e7d6387956b8789487a1414
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-09-28 19:44:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-28 19:46:44 +0000

    app-emulation/vagrant: add 2.2.18
    
    Closes: https://bugs.gentoo.org/812770
    Closes: https://bugs.gentoo.org/815228
    Signed-off-by: Sam James <sam@gentoo.org>

 app-emulation/vagrant/Manifest              |  1 +
 app-emulation/vagrant/vagrant-2.2.18.ebuild | 94 +++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=002bdb44d2735a78ea24d32410076a54c63de4e6

commit 002bdb44d2735a78ea24d32410076a54c63de4e6
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-09-28 19:44:17 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-28 19:46:30 +0000

    dev-ruby/vagrant_cloud: add 3.0.5
    
    Closes: https://bugs.gentoo.org/812770
    Closes: https://bugs.gentoo.org/815228
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-ruby/vagrant_cloud/Manifest                   |  1 +
 dev-ruby/vagrant_cloud/vagrant_cloud-3.0.5.ebuild | 42 +++++++++++++++++++++++
 2 files changed, 43 insertions(+)
Comment 6 Bas Weelinck 2021-09-29 07:08:39 UTC
Since this ebuild has been bumped to 2.2.18 the error has changed to the following missing dependency:

$ vagrant
/usr/lib64/ruby/site_ruby/2.6.0/rubygems/dependency.rb:313:in `to_specs': Could not find 'rexml' (>= 3.2) - did find: [rexml-3.1.9.1] (Gem::MissingSpecVersionError)

rexml-3.2 is available in Portage but not depended upon by the ebuild so it doesn't get pulled

After manually installing this package Vagrant works.